Name:          kde-inotify-survey
Version:       1.0.0
Release:       2%{?dist}
Summary:       Tooling for monitoring inotify limits and informing the user when they have been or about to be reached.
License:       BSD-3-Clause
URL:           https://invent.kde.org/system/%{name}

Source0:       http://download.kde.org/stable/%{name}/%{name}-%{version}.tar.zst
Patch:         https://invent.kde.org/system/%{name}/-/commit/efbf77b480c2f5a8c40fadfd169a916a51363a23.diff
BuildRequires: kf5-rpm-macros
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: gettext
BuildRequires: qt-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: cmake(Qt5Qml)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5DBusAddons)

%description
%{summary}.


%prep
%autosetup -n %{name}-v%{version} -p1


%build
%{cmake_kf5}
%cmake_build


%install
%cmake_install


%files
%license LICENSES/* screenshot.png.license
%doc README.md screenshot.png
%{_bindir}/kde-inotify-survey
%{_kf5_plugindir}/kded/inotify.so
%{_libexecdir}/kf5/kauth/kded-inotify-helper
%{_datadir}/dbus-1/*
%{_datadir}/knotifications5/org.kde.kded.inotify.notifyrc
%{_datadir}/metainfo/org.kde.inotify-survey.metainfo.xml
%{_datadir}/polkit-1/actions/org.kde.kded.inotify.policy
%{_datadir}/locale

%changelog
* Thu Feb 23 2023 Steve Cossette <farchord@gmail.com> - 1.0.0-1
- Initial release
